package common.inventory;

import java.util.Map;

import common.collect.Maps;
import common.entity.npc.EntityNPC;
import common.tileentity.ILockableContainer;
import common.tileentity.LockCode;

public class ContainerLocalMenu extends InventoryBasic implements ILockableContainer
{
    private String guiID;
    private Map<Integer, Integer> field_174895_b = Maps.<Integer, Integer>newHashMap();

    public ContainerLocalMenu(String id, String title, int slotCount)
    {
        super(title, slotCount);
        this.guiID = id;
    }

    public int getField(int id)
    {
        return this.field_174895_b.containsKey(Integer.valueOf(id)) ? ((Integer)this.field_174895_b.get(Integer.valueOf(id))).intValue() : 0;
    }

    public void setField(int id, int value)
    {
        this.field_174895_b.put(Integer.valueOf(id), Integer.valueOf(value));
    }

    public int getFieldCount()
    {
        return this.field_174895_b.size();
    }

    public boolean isLocked()
    {
        return false;
    }

    public void setLockCode(LockCode code)
    {
    }

    public LockCode getLockCode()
    {
        return LockCode.EMPTY_CODE;
    }

    public String getGuiID()
    {
        return this.guiID;
    }

    public Container createContainer(InventoryPlayer playerInventory, EntityNPC playerIn)
    {
        throw new UnsupportedOperationException();
    }
}
